Package com.emc.d2fs.services.workflow_service

# Class AcquireWorkflowTaskResponse

java.lang.Object
com.emc.d2fs.services.workflow_service.AcquireWorkflowTaskResponse

All Implemented Interfaces:
  `Serializable`

public class AcquireWorkflowTaskResponse extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="taskState" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="taskId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="newTaskId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="refereshNeeded" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="result" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AcquireWorkflowTaskResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNewTaskId()`
  Gets the value of the newTaskId property.
  `String`
  `getTaskId()`
  Gets the value of the taskId property.
  `String`
  `getTaskState()`
  Gets the value of the taskState property.
  `boolean`
  `isRefereshNeeded()`
  Gets the value of the refereshNeeded property.
  `boolean`
  `isResult()`
  Gets the value of the result property.
  `void`
  `setNewTaskId(String value)`
  Sets the value of the newTaskId property.
  `void`
  `setRefereshNeeded(boolean value)`
  Sets the value of the refereshNeeded property.
  `void`
  `setResult(boolean value)`
  Sets the value of the result property.
  `void`
  `setTaskId(String value)`
  Sets the value of the taskId property.
  `void`
  `setTaskState(String value)`
  Sets the value of the taskState property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AcquireWorkflowTaskResponse

    public AcquireWorkflowTaskResponse()

- ## Method Details

  - ### getTaskState

    public String getTaskState()
    Gets the value of the taskState property.
    Returns:
      possible object is `String`

  - ### setTaskState

    public void setTaskState(String value)
    Sets the value of the taskState property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTaskId

    public String getTaskId()
    Gets the value of the taskId property.
    Returns:
      possible object is `String`

  - ### setTaskId

    public void setTaskId(String value)
    Sets the value of the taskId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNewTaskId

    public String getNewTaskId()
    Gets the value of the newTaskId property.
    Returns:
      possible object is `String`

  - ### setNewTaskId

    public void setNewTaskId(String value)
    Sets the value of the newTaskId property.
    Parameters:
      `value` - allowed object is `String`

  - ### isRefereshNeeded

    public boolean isRefereshNeeded()
    Gets the value of the refereshNeeded property.

  - ### setRefereshNeeded

    public void setRefereshNeeded(boolean value)
    Sets the value of the refereshNeeded property.

  - ### isResult

    public boolean isResult()
    Gets the value of the result property.

  - ### setResult

    public void setResult(boolean value)
    Sets the value of the result property.